#!/usr/bin/make -f

%:
	dh --with javahelper $@

override_dh_auto_configure:
	dh_auto_configure -- --with-omni=/usr --disable-dbcreate

override_dh_clean:
	rm -f config.log
	rm -f ac_config.h
	dh_clean

override_dh_auto_build:
	echo "skip auto_build"

override_dh_auto_test:
	echo "skip auto_test"

override_dh_auto_install:
	echo "skip auto_install"
	$(MAKE) -C lib/java install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C pogo install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C doc/man install DESTDIR=$(CURDIR)/debian/tmp
	# remove the unneeded log4j .jar file
	-rm -f $(CURDIR)/debian/tmp/usr/share/java/log4*

override_dh_install:
	dh_install -p libtango-java usr/
	dh_install -p libtango-java debian/lintian/libtango-java usr/share/lintian/overrides/
